Subject: Re: new to git

From: Andreas Ericsson <[email-masked]>
Date: Mon, 27 Aug 2007 23:14:04 +0200

Junio C Hamano wrote:
> Andreas Ericsson <[email-masked]> writes:
> 
>> git pull = git fetch + git merge. The notation you use above is obsoleted
>> and no longer works in git 1.5.3. Instead you'd have to replace
>>
>> 	git pull . foo
>>
>> with
>>
>> 	git merge foo
>>
>> which will most likely clear up some confusion.
> 
> Huh?  "git pull . foo" has always been the same as "git merge
> foo", I thought...  Have we broken anything?
> 

Possibly. I noticed some weeks ago that "pull . branch" no longer
worked and used merge instead. I shrugged it off as being of no
moment, and can't recall if there were any real reasons for
the merge to fail.

>>>
>> Here I'm clueless, except that this matches old syntax which is no longer
>> valid.
> 
> Huh again about "no longer valid" part.
> 
> In any case, the former says "I am on foo branch, and I want to
> merge 'master' from _MY_ local repository".  The latter says "I
> want to update the local branch 'foo' with what is in my
> 'master' branch, both local".  They are totally different.
> 
> Please do _not_ spread backward incompatibility FUD.

My apologies. I'll have to see if I can find what caused my own
confusion in the first place.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231